@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Righteous&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Londrina+Outline&display=swap');
/* -------------------------------------------------------------------------- */

/*                                    Vars                                    */

/* -------------------------------------------------------------------------- */

:root {
    --padding-max: 65px;
    --padding-side: 100px;
    --color-graphene0: 18, 18, 18;
    --color-graphene1: 28, 28, 28;
    --color-graphene2: 35, 35, 35;
    --roundness: 0.75rem;
    --color-graphene3: 49, 49, 49;
    --color-text0: 120, 120, 120;
    --background222: #16191b;
    --color-text1: 242, 240, 255;
    --color-accent-1: 242, 52, 0;
    --color-accent-2: 255, 183, 0;
    --color-positive: 35, 209, 96;
    --rounding-size: 16px;
    --coregrad: linear-gradient( 45deg, rgb(var(--color-accent-1)), rgb(var(--color-accent-2)));
}

/* -------------------------------------------------------------------------- */

/*                                   Global                                   */

/* -------------------------------------------------------------------------- */

html {
    font-size: 16px;
    scroll-behavior: smooth;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-size: 1rem;
    font-family: "Poppins", sans-serif;
    color: rgb(var(--color-text1));
}

@media (prefers-reduced-motion: reduce) {
    * {
        animation: none;
        transition: none;
    }
}

body {
    background-color: rgb(var(--color-graphene0));
    overflow-x: hidden;
}

h1 {
    line-height: 1em;
}

img {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Old versions of Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently */
}

@keyframes coreanim {
    0% {
        transform: rotate(360deg);
    }
    80% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

@keyframes shubanim {
    0% {
        rotate: 0deg;
    }
    50% {
        rotate: -45deg;
    }
    60% {
        rotate: -45deg;
    }
    100% {
        rotate: -360deg;
    }
}

@keyframes fadeinout {
    0% {
        opacity: 0.5;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0.5;
    }
}

@keyframes slideInFromLeft {
    0% {
        transform: translateX(-10%);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideInFromTop {
    0% {
        transform: translateY(-20%);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes scaleUp {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}

.coregrad-string {
    background: linear-gradient( 90deg, rgb(var(--color-accent-1)) 0%, rgb(var(--color-accent-2)) 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

/* -------------------------------------------------------------------------- */

/*                                   Navbar                                   */

/* -------------------------------------------------------------------------- */

#navbar-container,
.overlay {
    position: fixed;
    z-index: 100;
    width: 100vw;
    -webkit-backdrop-filter: blur(20px);
    transition: 0.5s cubic-bezier(0.22, 1, 0.36, 1);
}

#navbar-container {
    gap: 30px;
    height: 80px;
    padding: 10px var(--padding-side);
    display: flex;
    align-items: center;
    justify-content: center;
}


.branding {
    height: 100%;
    display: flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
    transition: color 0.3s ease; /* Smooth transition for text color */
}

.branding > img {
    height: 40px;
    width: 40px;
    border-radius: 50%; /* Makes the image circular */
    object-fit: cover;  /* Ensures the image scales properly inside the circle */
    transition: transform 0.3s ease; /* Smooth transition for image scaling */
}

.animate {
    animation: coreanim 2.625s cubic-bezier(0.76, 0, 0.24, 1) 0ms; /* Initial animation */
}

.verified {
    height: 100%;
    transition: transform 0.3s ease; /* Smooth transition for image scaling */
}

.verified:hover {
    transform: scale(1);
}

.branding > p {
    font-family: Righteous;
    font-size: 1.75rem;
    transition: color 0.3s ease; /* Smooth transition for text color */
    animation: glitch-skew 3s infinite linear alternate-reverse;
}

/* Hover effect */
.branding:hover > img {
    transform: scale(1); /* Scale the image on hover */
    text-shadow: 0 0 15px grey;
}

.branding:hover > p {
    color: rgb(255, 0, 0); 
    text-shadow: 0.05em 0 0 #7e2020, -0.025em -0.05em 0 #2f00ff,
    0.025em 0.05em 0 #50c878;
    color: rgb(255, 0, 0);
}

#navbar-container>hr {
    width: 100%;
    border: none;
    height: 2px;
    border-radius: 1px;
    background-color: rgb(var(--color-text0));
    stroke-linecap: round;
}

#navbar-items {
    display: flex;
    gap: 30px;
    align-items: center;
}

#navbar-burga {
    display: none;
}

.navbar-item {
    text-decoration: none;
    font-size: 1.25rem;
    height: 100%;
    transition: all 0.2s cubic-bezier(0.34, 1.56, 0.64, 1);
    cursor: pointer;
}

.navbar-item:hover {
    transform: translateY(5px);
}

/* Icon */

.navbar-item.navbar-icon {
    display: flex;
    align-items: center;
    height: 100%;
}

.navbar-icon>img {
    width: 2rem;
    height: 2rem;
}

/* Button */

.navbar-item.navbar-button {
    border-radius: calc(var(--rounding-size) / 2);
    padding: 8px 20px;
    box-sizing: content-box;
    gap: 15px;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: var(--coregrad);
    box-shadow: 0px 0px 12px 0px rgba(var(--color-accent-2), 0.5);
}

.navbar-item.navbar-button span:first-of-type {
    font-weight: 600;
}


@media only screen and (max-width: 1100px) {
    #navbar-container {
        padding: 10px calc(var(--padding-side) / 2);
    }
    .navbar-responsive-hide.navbar-icon.navbar-item,
    .navbar-responsive-hide {
        display: none;
        width: 0;
    }
    #navbar-burga {
        display: initial;
    }
}

@media only screen and (max-width: 500px) {
    .navbar-item.navbar-button {
        display: none;
    }
}



.overlay {
    height: 0%;
    overflow-y: hidden;
    text-align: center;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.overlay-content {
    width: 100%;
}

.overlay a {
    text-shadow: 0 0 10px white;
    display: block;
    padding: 8px;
    text-decoration: none;
    font-size: 3rem;
    font-family: fantasy;
    color: #3b3b3b;
    /* -webkit-text-stroke-width: 1px; */
    /* -webkit-text-stroke-color: black; */
    transition: 0.3s;
}

.overlay a:hover {
    color: rgb(var(--color-text1));
}

.overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
}

@media screen and (max-height: 450px) {
    .overlay {
        overflow-y: auto;
    }
    .overlay a {
        font-size: 1.25rem;
    }
    .overlay .closebtn {
        font-size: 2.5rem;
        top: 15px;
        right: 35px;
    }
}




.main5 {
    background-color: rgb(var(--color-graphene2));
    min-height: 10rem;
    width:100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.main5_admin_div{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem 1rem .5rem 1rem;
}
.main5_admins_div{
    display: flex;
    max-width: 46rem;
    min-height: 18rem;
    border-radius: var(--roundness);
    margin-top: 1rem;
    margin-right: 1rem;
    margin-left: 1rem;
    
}

.main5_admins_dev_type1 {
    flex-direction:row;
    transition: transform 1s linear;
}
.main5_admins_div.main5_admins_dev_type1:hover {
    transform: translateY(-10px) rotate(0.5deg);
    opacity: 1;
    cursor: pointer;
    user-select: none;
}

.main5_admins_dev_type2 {
    flex-direction: row-reverse;
    padding-left: 2rem;
}

.main5_admins_img {
    border-radius: var(--roundness);
    width: 287px; /* Set the width */
    height: 287px; /* Set the height */
    max-height: 100%; /* Ensure it scales down on smaller screens */
    align-self: center;
}
.main5_admins_description_div {
    display: flex;
    transform: scale(1.5);
    justify-content: center;
    justify-self: center;
    max-width: 60%;
    padding-top: 2rem;
    padding-bottom: 2rem;
    flex-direction: column;
    padding-left: 7rem;
    padding-right: 7rem;
    border: 2rem;
    margin-left: auto;
}
.main5_admins_description_rank {
    text-align: center;
    font-size:1.5rem;
    font-weight: 700;
    margin-bottom: .5rem;
}
.main5_admins_description_rank_owner {
    color: #3498db;
}
.main5_admins_description_rank_admin {
    color: #f82f2f;
}
.main5_admins_description_title {
    text-align: center;
    font-size:1.5rem;
    font-weight: 700;
    color: #fff;
    text-decoration: none;
    transition: all .5s;
    margin-bottom: .5rem;
}
.main5_admins_description_title:hover {
    color: var(--accent1);
    transform: scale(1.05)
}

.main5_admins_description {
    margin-bottom: auto;
    font-size:1.2rem;
}



/* Responsive Styles */
@media (max-width: 768px) {
    .main5_admins_div {
        flex-direction: column; /* Stack vertically on small screens */
        max-width: 90%; /* Use more width */
    }
    .main5_admins_img {
        align-self: center;
    }
    .main5_admins_description_div {
        transform: scale(1); /* Reset scale for smaller screens */
        padding: 1rem; /* Reduce padding */
        max-width: 100%; /* Allow full width */
        margin: auto;
    }

    .main5_admins_description_rank,
    .main5_admins_description_title {
        font-size: 1.2rem; /* Smaller font size */
    }

    .main5_admins_description {
        font-size: 1rem; /* Smaller font size */
    }
}





/* -------------------------------------------------------------------------- */

/*                                   Divider                                  */

/* -------------------------------------------------------------------------- */

.body-divider {
    width: 0%;
    height: var(--padding-max);
    padding: calc(var(--padding-max) / 2) var(--padding-side) 0 var(--padding-side);
}

.body-divider hr {
    border-color: rgb(var(--color-graphene3));
}
.snowflakes {
    display: flex;
    flex-wrap: wrap;
  }
  
  .snowflake {
    margin: 10px;
  }
/* customizable snowflake styling */
.snowflake {
  color: #fff;
  font-size: 1em;
  font-family: Arial;
  text-shadow: 0 0 1px #000;
}

@-webkit-keyframes snowflakes-fall{0%{top:-10%}100%{top:100%}}@-webkit-keyframes snowflakes-shake{0%{-webkit-transform:translateX(0px);transform:translateX(0px)}50%{-webkit-transform:translateX(80px);transform:translateX(80px)}100%{-webkit-transform:translateX(0px);transform:translateX(0px)}}@keyframes snowflakes-fall{0%{top:-10%}100%{top:100%}}@keyframes snowflakes-shake{0%{transform:translateX(0px)}50%{transform:translateX(80px)}100%{transform:translateX(0px)}}.snowflake{position:fixed;top:-10%;z-index:9999;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;cursor:default;-webkit-animation-name:snowflakes-fall,snowflakes-shake;-webkit-animation-duration:10s,3s;-webkit-animation-timing-function:linear,ease-in-out;-webkit-animation-iteration-count:infinite,infinite;-webkit-animation-play-state:running,running;animation-name:snowflakes-fall,snowflakes-shake;animation-duration:10s,3s;animation-timing-function:linear,ease-in-out;animation-iteration-count:infinite,infinite;animation-play-state:running,running}.snowflake:nth-of-type(0){left:1%;-webkit-animation-delay:0s,0s;animation-delay:0s,0s}.snowflake:nth-of-type(1){left:10%;-webkit-animation-delay:1s,1s;animation-delay:1s,1s}.snowflake:nth-of-type(2){left:20%;-webkit-animation-delay:6s,.5s;animation-delay:6s,.5s}.snowflake:nth-of-type(3){left:30%;-webkit-animation-delay:4s,2s;animation-delay:4s,2s}.snowflake:nth-of-type(4){left:40%;-webkit-animation-delay:2s,2s;animation-delay:2s,2s}.snowflake:nth-of-type(5){left:50%;-webkit-animation-delay:8s,3s;animation-delay:8s,3s}.snowflake:nth-of-type(6){left:60%;-webkit-animation-delay:6s,2s;animation-delay:6s,2s}.snowflake:nth-of-type(7){left:70%;-webkit-animation-delay:2.5s,1s;animation-delay:2.5s,1s}.snowflake:nth-of-type(8){left:80%;-webkit-animation-delay:1s,0s;animation-delay:1s,0s}.snowflake:nth-of-type(9){left:90%;-webkit-animation-delay:3s,1.5s;animation-delay:3s,1.5s}
/* Demo Purpose Only*/
.demo {
  font-family: 'Raleway', sans-serif;
	color:#fff;
    display: block;
    margin: 0 auto;
    padding: 15px 0;
    text-align: center;
}
.demo a{
  font-family: 'Raleway', sans-serif;
color: #000;		
}

/* -------------------------------------------------------------------------- */

/*                                 Containers                                 */

/* -------------------------------------------------------------------------- */

.body-container {
    width: 100vw;
    min-height: calc(100vh - var(--padding-max) * 2 + 1px);
    height: max-content;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0px var(--padding-max);
    opacity: 0;
    transition: all 1s cubic-bezier(0.22, 1, 0.36, 1);
    overflow-x: hidden;
}

.body-container-visible {
    opacity: 1;
}
